madkit.i18n

## Class I18nUtilities

- java.lang.Object
- - madkit.i18n.I18nUtilities

-     public class I18nUtilities
      extends Object

  Internationalization help class containing only static methods.
  Since:
    MaDKit 5.0.0.10
  Version:
    0.91
  Author:
    Fabien Michel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `i18nDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18nUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getCGRString(String community)`
    `static String` | `getCGRString(String community, String group)`
    `static String` | `getCGRString(String community, String group, String role)`
    `static ResourceBundle` | `getResourceBundle(String baseName)`
    `static void` | `setI18nDirectory(String i18nDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### i18nDirectory

          public static String i18nDirectory

  - ### Constructor Detail

    - #### I18nUtilities

          public I18nUtilities()

  - ### Method Detail

    - #### getResourceBundle

          public static final ResourceBundle getResourceBundle(String baseName)

    - #### getCGRString

          public static String getCGRString(String community)

    - #### getCGRString

          public static String getCGRString(String community,
                                            String group)

    - #### getCGRString

          public static String getCGRString(String community,
                                            String group,
                                            String role)

    - #### setI18nDirectory

          public static final void setI18nDirectory(String i18nDirectory)

      Parameters:
        `i18nDirectory` - the i18nDirectory to set

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020